Models Deployment List
curl --request GET \
--url https://api.deepinfra.com/models/deployment/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.deepinfra.com/models/deployment/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.deepinfra.com/models/deployment/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"model_name": "microsoft/resnet-50",
"type": "image-classification",
"reported_type": "text-generation",
"pricing": {
"cents_per_sec": 123,
"discount": 0.2,
"discount_ends_at": 1786000000,
"short": "$0.15 / second",
"full": "$0.15 / second for 1080P, $0.10 / second for 720P",
"table": {
"columns": [
"resolution",
"$ cost per second"
],
"rows": [
[
"780P",
"$0.10"
],
[
"1080P",
"$0.15"
]
]
},
"type": "time"
},
"description": "ResNet-50 is a convolutional neural network that is trained on more than a million images from the ImageNet database. It is a 50-layer deep neural network.",
"cover_img_url": "",
"tags": [
"<string>"
],
"max_tokens": 123,
"replaced_by": "<string>",
"deprecated": 123,
"quantization": "<string>",
"mmlu": 123,
"expected": "<string>",
"create_ts": "<string>",
"private": 0,
"is_partner": false
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Models
Models Deployment List
GET
/
models
/
deployment
/
list
Models Deployment List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful Response
Model Name
Example:
"microsoft/resnet-50"
raw type of the model
Example:
"image-classification"
reported type of the model
Example:
"text-generation"
The pricing type and cost for this model
- ModelPricingTime
- ModelPricingTokens
- ModelPricingInputLength
- ModelPricingInputTokens
- ModelPricingUptime
- ModelPricingInputCharacterLength
- ModelPricingImageUnits
- ModelPricingOutputLength
- ModelPricingFrameUnits
Show child attributes
Show child attributes
description of the model
Example:
"ResNet-50 is a convolutional neural network that is trained on more than a million images from the ImageNet database. It is a 50-layer deep neural network."
cover image link
list of tags
The maximum context size of this model, if applicable